V3 Manage DBA Records

Add, update, remove the DBA records for a given external organization.

Usage Notes

  • This API requires the Edit DBA persona access. Configure your persona setting located in the following Encompass settings: Company/User Setup > Personas > External Settings > Company Details > TPO Organization Settings > DBA > Edit DBA. If the user does not have access to DBA one level above, they will not be able to see DBA details in GET response.
  • DBA Names can be only added when the useParentInfo flag is set to false for the given DBA record for the external org. To set the flag to false, use the PATCH external org call.
  • If the useParentInfo is already set as true and the request payload contains the DBA attributes to be added or updated, then the API will fail with error indicating that the these attributes cannot be added or updated when useParentInfo is true.
  • One or more DBAs can be updated (using update action) for DBA name successfully when the data is valid. However, if at least one record is having errors in the request payload, the API will fail with error.
  • When the action is set to reorder, all DBA record IDs must be passed in the request. Use the v3/settings/externalOrganizations/tpos/{{orgId}}?entities=dba API to return the list of DBAs for the given order.
Path Params
string
required

Organization ID. Required

Query Params
string

Supported actions: Add, Update, Delete, Reorder

string

Optional. View type parameter. Enumerations: entity, id
- When no view parameter is provided, the API will return 204 - No Content with no response body.
- When view=entity, the API response shows only the DBA records that were added, updated or reordered.

Body Params
integer

This is the unique identifier of the Doing Business As (DBA) record for the TPO company.

-Required for updating or deleting the DBA record. For action is update/delete/reorder - If the data is repeated (a dbaId is appearing more than once in request payload), the API will fail with error.

-Not required for adding DBA record.

string

Name of the DBA record.

-Required for adding DBA record.

-Not required for updating or deleting DBA record.
-The DBA Name maximum value is 256 characters.
-DBA name is not unique within organization. There can be more than one DBA with the same name.

boolean

Indicates if the given DBA (Doing Business As) is the default DBA for the TPO company.

Note: Only one default DBA is allowed for the organization.

Headers
string
required

Bearer token

Responses

204

No Content

Language
URL
Response
Choose an example:
application/json